oracle.xml.scalable

## Interface BinaryIterator

    public interface BinaryIterator

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getBinaryOffset()`
`long` `getNodeIndex()`
`javax.xml.namespace.QName` `getNodeName()`
`int` `getNodeType()`
`java.lang.String` `getNodeValue()`
`boolean` `hasNext()`
`void` `next()`

### Method Detail

#### hasNext

    boolean hasNext()

#### next

    void next()

#### getNodeType

    int getNodeType()

#### getNodeName

    javax.xml.namespace.QName getNodeName()

#### getBinaryOffset

    long getBinaryOffset()

#### getNodeIndex

    long getNodeIndex()

#### getNodeValue

    java.lang.String getNodeValue()

Copyright © 2003, 2020, Oracle and/or its affiliates.